Update printer settings
curl --request PATCH \
--url https://api.printeasy.adfinite.com/v1/printers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.printeasy.adfinite.com/v1/printers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.printeasy.adfinite.com/v1/printers/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"capabilities": {
"bins": [
"Auto",
"Tray 1"
],
"collate": true,
"color": false,
"copies": 99,
"dpis": [
"600x600"
],
"duplex": true,
"extent": null,
"medias": [],
"nup": [
1,
2,
4
],
"papers": {
"A4": [
2100,
2970
],
"Letter": [
2159,
2794
]
},
"printrate": {
"rate": 38,
"unit": "ppm"
},
"supports_custom_paper_size": false
},
"computerId": "0192f1a0-7c00-7000-8000-0000000000cc",
"createdAt": "2026-10-01T08:30:00.000Z",
"customPapers": [],
"defaultOptions": {
"duplex": "long-edge",
"paper": "A4"
},
"description": "HP LaserJet Pro M404-M405 PCL 6",
"displayName": "Front office laser",
"enabled": true,
"id": "0192f1a0-7c00-7000-8000-0000000000bb",
"isDefault": true,
"name": "Front office laser",
"osName": "HP LaserJet Pro M404",
"remarks": null,
"state": "online",
"stateDetail": "",
"updatedAt": "2026-10-14T09:00:00.000Z"
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}Printers
Update printer settings
Changes the display name, the live flag, default job options, custom paper sizes or remarks of a printer. Only enabled printers accept jobs.
PATCH
/
v1
/
printers
/
{id}
Update printer settings
curl --request PATCH \
--url https://api.printeasy.adfinite.com/v1/printers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.printeasy.adfinite.com/v1/printers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.printeasy.adfinite.com/v1/printers/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"capabilities": {
"bins": [
"Auto",
"Tray 1"
],
"collate": true,
"color": false,
"copies": 99,
"dpis": [
"600x600"
],
"duplex": true,
"extent": null,
"medias": [],
"nup": [
1,
2,
4
],
"papers": {
"A4": [
2100,
2970
],
"Letter": [
2159,
2794
]
},
"printrate": {
"rate": 38,
"unit": "ppm"
},
"supports_custom_paper_size": false
},
"computerId": "0192f1a0-7c00-7000-8000-0000000000cc",
"createdAt": "2026-10-01T08:30:00.000Z",
"customPapers": [],
"defaultOptions": {
"duplex": "long-edge",
"paper": "A4"
},
"description": "HP LaserJet Pro M404-M405 PCL 6",
"displayName": "Front office laser",
"enabled": true,
"id": "0192f1a0-7c00-7000-8000-0000000000bb",
"isDefault": true,
"name": "Front office laser",
"osName": "HP LaserJet Pro M404",
"remarks": null,
"state": "online",
"stateDetail": "",
"updatedAt": "2026-10-14T09:00:00.000Z"
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}{
"error": {
"code": "not_found",
"message": "Printer not found",
"request_id": "4f9c2a7e-1b3d-4c5e-8f6a-0b1c2d3e4f5a"
}
}Authorizations
ApiKeyAuthBasicAuth
Send Authorization: Bearer <API key>. Use a pe_test_ key in the playground; it only reaches virtual test printers.
Path Parameters
Body
application/json
Changes
Response
The updated printer
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
online, offline, unknown Was this page helpful?